import type { ExportConfig } from "./types";
export declare const getRootPath: () => string;
export declare const defineConfig: (config: ExportConfig) => ExportConfig;
export declare const getFile: (filePath: string) => string;
export declare const getFiles: (entry: string, deep: boolean) => string[];
export declare const getAllFiles: (entrys: ExportConfig["entrys"]) => string[];
export declare const getTranslationKeys: (fragment: string) => string[];
export declare const createJsonBuffer: (val: {
    [key: string]: string;
}) => string;
export declare const consoleSuccess: (...msg: any[]) => void;
export declare const consoleLog: (...msg: any[]) => void;
export declare const consoleWarn: (...msg: any[]) => void;
export declare const consoleError: (...msg: any[]) => void;
